//
// InputObject.h
// 

#ifndef __INPUT_OBJECT_H__
#define __INPUT_OBJECT_H__

enum InputType {
  MOUSE_INPUT,
  KEYBOARD_INPUT,
};

class InputObject {

 private:
  enum InputType input_type;

 protected:
  void setType(enum InputType new_type);

 public:
  InputObject();
  ~InputObject();
  enum InputType getType();
};

#endif // __INPUT_OBJECT_H__
